% original version from: https://github.com/stuhlmueller/scheme-listings
% adapted to be similar to Guix syntax highlight from:
%   https://guix.gnu.org/en/manual/en/html_node/Defining-Packages.html
\lst@definelanguage{Scheme}{
  morekeywords=[1]{define, define-syntax, define-macro, define-public, lambda,
    define-stream, stream-lambda},
  morekeywords=[2]{begin, call-with-current-continuation, call/cc,
    call-with-input-file, call-with-output-file, case, cond,
    do, else, for-each, if,
    let*, let, let-syntax, letrec, letrec-syntax,
    let-values, let*-values,
    and, or, not, delay, force,
    quasiquote, quote, unquote, unquote-splicing,
    map, fold, syntax, syntax-rules, eval, environment, query },
  morekeywords=[3]{import, export},
  morekeywords=[4]{package, origin, git-reference, list,
    disarchive, gzip-member, tarball, directory-ref},
  alsodigit=!\$\%&*+-./:<=>?@^_~,
  sensitive=true,
  morecomment=[l]{;},
  morecomment=[s]{\#|}{|\#},
  morestring=[b]",
  basicstyle=\scriptsize\ttfamily,
  keywordstyle=\bf\ttfamily\color[rgb]{0,.3,.7},
  keywordstyle=[4]\ttfamily\bf,
  commentstyle=\color[rgb]{0.133,0.545,0.133},
  stringstyle={\color[rgb]{0.75,0.49,0.07}},
  upquote=true,
  breaklines=true,
  breakatwhitespace=true,
  literate=*{`}{{`}}{1},
  showstringspaces=false
}
